#ifndef __EXCEPTION_CC__
#define __EXCEPTION_CC__

#include "Exception.h"

namespace Inter4ql {

	Exception::Exception(std::string arg_name, Disposable* toDelete) {
		this->name = arg_name;
		this->toDelete = toDelete;
	}

	Exception::~Exception(){
	}

	std::string Exception::get(){
		return this->name;
	}

	Inter4ql::Disposable* Exception::getDisp(){
		return this->toDelete;
	}

	void Exception::set(std::string _name){
		this->name = _name;
	}
}

#endif
