#include <iostream>
#include <string.h>
#include <stdlib.h>

void print_help() {
        std::cout << "Inter4q plugin - less than" << std::endl << std::endl << "Usage: Put into Plugins in Inter4ql directory and run interpreter. This plugin will be automatically recognized and installed." << std::endl;
}

void print_interface() {
        std::cout << "INTEGER INTEGER" << std::endl;
}

int calculate(int a, int b) {
        if(a < b) {
                return 1;
        } else {
                return 0;
        }
}

int main(int argc, char *argv[]) {
        argc--; argv++;

        if(argc == 0) {
                std::cout << "At least one argument should be passed!" << std::endl;
                return -1;
        }
        
        if(strcmp(argv[0], "help") == 0) {
                print_help();
                return 0;
        }

        if(strcmp(argv[0], "interface") == 0) {
                print_interface();
                return 0;
        }

        if(strcmp(argv[0], "calculate") == 0) {
                int calculated = calculate(atoi(argv[1]), atoi(argv[2]));
                return calculated;
        }

        std::cout << "Option " << argv[0] << " is not known." << std::endl;
        return 3;
}
